package com.ajb.car.entity.quotation;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;


@Entity
@Table(name="ag_po_quotation_vehicle_relation")
public class AgPoQuotationVehicleRelation implements java.io.Serializable {

private static final long serialVersionUID = 1L;

	// id
	private Long id;

	// 报价单id
	private Long quotationId;

	// 客户id关联ag_po_quotation表中的customer_id
	private Long customerId;

	// relation_id关联ag_md_vehicle_relation表id字段
	private Integer relationId;

	// 与车辆相关人的名称
	private String name;

	// FK ag_md_vehicle_dictionary.type=12
	//1：居民身份证,2:驾驶证,3:军官证,4:军人证,5:户口薄,6:护照,7:中国护照,8:外国护照,9:组织机构代码(机构),10:工商注册号码(机构),11:港澳台同胞证,12:统一社会信用代码证(机构),13:税务登记证(机构),14:返乡证,15:其它
	private Long idType;

	// 证件名称
	private String idTypeName;

	// 证件编号
	private String idNo;

	// 移动电话
	private String mobilePhone;

	// 性别
	private Integer gender;

	// 年龄
	private Integer age;

	// 驾龄
	private Integer drivingAge;

	// 国籍
	private String nationality;

	// FK ag_md_country.id
	private Long countryId;

	// 地址
	private String address;

	// 邮编
	private String postcode;

	// 固定电话
	private String telephone;

	// 打印附加
	private String printAddon;

	private String groupCode;

	private Integer approvalStatus;

	private Integer versionNo;

	private String email;

	private Integer isInclusiveFinanceDrive;

	private Long vehicleRelationId;

	private Date createdAt;

	private Long createdBy;

	private Date updatedAt;

	private Long updatedBy;

	/** ?? id,???? ag_po_quotation_vehicle_relation.id */
	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	@Column(name="id")
	public Long getId(){
		return this.id;
	}
	/** ?? id,???? ag_po_quotation_vehicle_relation.id */
	public void setId(Long id){
		this.id = id;
	}
	/** ?? 报价单id,???? ag_po_quotation_vehicle_relation.quotation_id */
	@Column(name="quotation_id")
	public Long getQuotationId(){
		return this.quotationId;
	}
	/** ?? 报价单id,???? ag_po_quotation_vehicle_relation.quotation_id */
	public void setQuotationId(Long quotationId){
		this.quotationId = quotationId;
	}
	/** ?? 客户id关联ag_po_quotation表中的customer_id,???? ag_po_quotation_vehicle_relation.customer_id */
	@Column(name="customer_id")
	public Long getCustomerId(){
		return this.customerId;
	}
	/** ?? 客户id关联ag_po_quotation表中的customer_id,???? ag_po_quotation_vehicle_relation.customer_id */
	public void setCustomerId(Long customerId){
		this.customerId = customerId;
	}
	/** ?? relation_id关联ag_md_vehicle_relation表id字段,???? ag_po_quotation_vehicle_relation.relation_id */
	@Column(name="relation_id")
	public Integer getRelationId(){
		return this.relationId;
	}
	/** ?? relation_id关联ag_md_vehicle_relation表id字段,???? ag_po_quotation_vehicle_relation.relation_id */
	public void setRelationId(Integer relationId){
		this.relationId = relationId;
	}
	/** ?? 与车辆相关人的名称,???? ag_po_quotation_vehicle_relation.name */
	@Column(name="name")
	public String getName(){
		return this.name;
	}
	/** ?? 与车辆相关人的名称,???? ag_po_quotation_vehicle_relation.name */
	public void setName(String name){
		this.name = name;
	}
	/** ?? FK ag_md_vehicle_dictionary.type=12
1：居民身份证,2:驾驶证,3:军官证,4:军人证,5:户口薄,6:护照,7:中国护照,8:外国护照,9:组织机构代码(机构),10:工商注册号码(机构),11:港澳台同胞证,12:统一社会信用代码证(机构),13:税务登记证(机构),14:返乡证,15:其它,???? ag_po_quotation_vehicle_relation.id_type */
	@Column(name="id_type")
	public Long getIdType(){
		return this.idType;
	}
	/** ?? FK ag_md_vehicle_dictionary.type=12
1：居民身份证,2:驾驶证,3:军官证,4:军人证,5:户口薄,6:护照,7:中国护照,8:外国护照,9:组织机构代码(机构),10:工商注册号码(机构),11:港澳台同胞证,12:统一社会信用代码证(机构),13:税务登记证(机构),14:返乡证,15:其它,???? ag_po_quotation_vehicle_relation.id_type */
	public void setIdType(Long idType){
		this.idType = idType;
	}
	/** ?? 证件名称,???? ag_po_quotation_vehicle_relation.id_type_name */
	@Column(name="id_type_name")
	public String getIdTypeName(){
		return this.idTypeName;
	}
	/** ?? 证件名称,???? ag_po_quotation_vehicle_relation.id_type_name */
	public void setIdTypeName(String idTypeName){
		this.idTypeName = idTypeName;
	}
	/** ?? 证件编号,???? ag_po_quotation_vehicle_relation.id_no */
	@Column(name="id_no")
	public String getIdNo(){
		return this.idNo;
	}
	/** ?? 证件编号,???? ag_po_quotation_vehicle_relation.id_no */
	public void setIdNo(String idNo){
		this.idNo = idNo;
	}
	/** ?? 移动电话,???? ag_po_quotation_vehicle_relation.mobile_phone */
	@Column(name="mobile_phone")
	public String getMobilePhone(){
		return this.mobilePhone;
	}
	/** ?? 移动电话,???? ag_po_quotation_vehicle_relation.mobile_phone */
	public void setMobilePhone(String mobilePhone){
		this.mobilePhone = mobilePhone;
	}
	/** ?? 性别,???? ag_po_quotation_vehicle_relation.gender */
	@Column(name="gender")
	public Integer getGender(){
		return this.gender;
	}
	/** ?? 性别,???? ag_po_quotation_vehicle_relation.gender */
	public void setGender(Integer gender){
		this.gender = gender;
	}
	/** ?? 年龄,???? ag_po_quotation_vehicle_relation.age */
	@Column(name="age")
	public Integer getAge(){
		return this.age;
	}
	/** ?? 年龄,???? ag_po_quotation_vehicle_relation.age */
	public void setAge(Integer age){
		this.age = age;
	}
	/** ?? 驾龄,???? ag_po_quotation_vehicle_relation.driving_age */
	@Column(name="driving_age")
	public Integer getDrivingAge(){
		return this.drivingAge;
	}
	/** ?? 驾龄,???? ag_po_quotation_vehicle_relation.driving_age */
	public void setDrivingAge(Integer drivingAge){
		this.drivingAge = drivingAge;
	}
	/** ?? 国籍,???? ag_po_quotation_vehicle_relation.nationality */
	@Column(name="nationality")
	public String getNationality(){
		return this.nationality;
	}
	/** ?? 国籍,???? ag_po_quotation_vehicle_relation.nationality */
	public void setNationality(String nationality){
		this.nationality = nationality;
	}
	/** ?? FK ag_md_country.id,???? ag_po_quotation_vehicle_relation.country_id */
	@Column(name="country_id")
	public Long getCountryId(){
		return this.countryId;
	}
	/** ?? FK ag_md_country.id,???? ag_po_quotation_vehicle_relation.country_id */
	public void setCountryId(Long countryId){
		this.countryId = countryId;
	}
	/** ?? 地址,???? ag_po_quotation_vehicle_relation.address */
	@Column(name="address")
	public String getAddress(){
		return this.address;
	}
	/** ?? 地址,???? ag_po_quotation_vehicle_relation.address */
	public void setAddress(String address){
		this.address = address;
	}
	/** ?? 邮编,???? ag_po_quotation_vehicle_relation.postcode */
	@Column(name="postcode")
	public String getPostcode(){
		return this.postcode;
	}
	/** ?? 邮编,???? ag_po_quotation_vehicle_relation.postcode */
	public void setPostcode(String postcode){
		this.postcode = postcode;
	}
	/** ?? 固定电话,???? ag_po_quotation_vehicle_relation.telephone */
	@Column(name="telephone")
	public String getTelephone(){
		return this.telephone;
	}
	/** ?? 固定电话,???? ag_po_quotation_vehicle_relation.telephone */
	public void setTelephone(String telephone){
		this.telephone = telephone;
	}
	/** ?? 打印附加,???? ag_po_quotation_vehicle_relation.print_addon */
	@Column(name="print_addon")
	public String getPrintAddon(){
		return this.printAddon;
	}
	/** ?? 打印附加,???? ag_po_quotation_vehicle_relation.print_addon */
	public void setPrintAddon(String printAddon){
		this.printAddon = printAddon;
	}
	@Column(name="group_code")
	public String getGroupCode(){
		return this.groupCode;
	}
	public void setGroupCode(String groupCode){
		this.groupCode = groupCode;
	}
	@Column(name="approval_status")
	public Integer getApprovalStatus(){
		return this.approvalStatus;
	}
	public void setApprovalStatus(Integer approvalStatus){
		this.approvalStatus = approvalStatus;
	}
	@Column(name="version_no")
	public Integer getVersionNo(){
		return this.versionNo;
	}
	public void setVersionNo(Integer versionNo){
		this.versionNo = versionNo;
	}
	@Column(name="email")
	public String getEmail(){
		return this.email;
	}
	public void setEmail(String email){
		this.email = email;
	}
	@Column(name="is_inclusive_finance_drive")
	public Integer getIsInclusiveFinanceDrive(){
		return this.isInclusiveFinanceDrive;
	}
	public void setIsInclusiveFinanceDrive(Integer isInclusiveFinanceDrive){
		this.isInclusiveFinanceDrive = isInclusiveFinanceDrive;
	}
	@Column(name="vehicle_relation_id")
	public Long getVehicleRelationId(){
		return this.vehicleRelationId;
	}
	public void setVehicleRelationId(Long vehicleRelationId){
		this.vehicleRelationId = vehicleRelationId;
	}
	@Column(name="created_at")
	public Date getCreatedAt(){
		return this.createdAt;
	}
	public void setCreatedAt(Date createdAt){
		this.createdAt = createdAt;
	}
	@Column(name="created_by")
	public Long getCreatedBy(){
		return this.createdBy;
	}
	public void setCreatedBy(Long createdBy){
		this.createdBy = createdBy;
	}
	@Column(name="updated_at")
	public Date getUpdatedAt(){
		return this.updatedAt;
	}
	public void setUpdatedAt(Date updatedAt){
		this.updatedAt = updatedAt;
	}
	@Column(name="updated_by")
	public Long getUpdatedBy(){
		return this.updatedBy;
	}
	public void setUpdatedBy(Long updatedBy){
		this.updatedBy = updatedBy;
	}
}